%define name gnunet

%define gnunetuser gnunetd
%define gnunethome /var/lib/gnunet

%define major	0
%define util_major 4
%define libname %mklibname %{name} %{major}
%define libutilname %mklibname %{name}util %{util_major}
%define devname %mklibname -d %{name}

%define pre pre2

Name:		%{name}
Version:	0.9.0
Release:	%mkrel 0.%{pre}.1
License:	GPLv2+
Summary:	Secure and anonymous peer-to-peer file sharing
URL:		http://gnunet.org/
Source0:	http://gnunet.org/download/%{name}-%{version}%{pre}.tar.gz
Source1:	gnunetd.conf
Source2:	init_gnunetd
Patch0:		gnunet-0.9.0-build-fix.patch
Patch1:		gnunet-0.9.0pre2-link.patch
Patch2:		gnunet-0.9.0pre2-conf.patch
Group:		Networking/File transfer
BuildRequires:	libextractor-devel
BuildRequires:  libxml2-devel
BuildRequires:  curl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  gawk
BuildRequires:  libgmp-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gettext-devel
BuildRequires:	sqlite3-devel
BuildRequires:	mysql-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libncursesw-devel
BuildRequires:	libltdl-devel
Suggests:	mysql-client
Requires:	%{libname} = %{version}-%{release}

%description
GNUnet is a framework for secure peer-to-peer networking that does not
use any centralized or otherwise trusted services. A first service
implemented on top of the networking layer allows anonymous censorship-
resistant file-sharing. GNUnet uses a simple, excess-based economic
model to allocate resources. Peers in GNUnet monitor each others behavior
with respect to resource usage; peers that contribute to the network
are rewarded with better service.

%package -n %libname
Summary:	Libraries for GNUnet
Group:		System/Libraries

%description -n %libname
Libraries for GNUnet.

%package -n %libutilname
Summary:	Library for GNUnet
Group:		System/Libraries

%description -n %libutilname
Library for GNUnet.

%package -n %devname
Summary:	Development files for %{libname}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libutilname} = %{version}-%{release}

%description -n %devname
Development files for %{libname}.

%prep
%setup -q -n %{name}-%{version}%{pre}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf
%configure2_5x
# makefile doesn't support running multiple jobs simultaneously
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
%{__mkdir_p} %{buildroot}%{gnunethome}
%{__mkdir_p} %{buildroot}%{_sysconfdir}
#{__install} -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}d.conf
%{__mkdir_p} %{buildroot}%{_initrddir}
%{__install} -m0755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}d
%{__ln_s} %{_datadir}/%{name}/defaults.conf %{buildroot}%{_sysconfdir}/gnunet.conf

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %{gnunetuser} %{gnunethome} /bin/false

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%postun
%_postun_userdel %gnunetuser

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%attr(0700, %{gnunetuser}, %{gnunetuser}) %dir %{gnunethome}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config %{_initrddir}/%{name}d
%{_bindir}/*
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n %libname
%{_libdir}/lib%{name}*.so.%{major}*

%files -n %libutilname
%{_libdir}/lib%{name}util.so.%{util_major}*

%files -n %devname
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}*.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*



%changelog
* Thu Aug 11 2011 Andrey Bondrov <abondrov@mandriva.org> 0.9.0-0.pre2.1
+ Revision: 693952
- Update patch1
- imported package gnunet


* Thu Aug 11 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.9.0-0.pre2.1mdv2011.0
- Port to 2011
- New version
- Major spec rewrite

* Wed Apr 02 2008 Anssi Hannula <anssi@zarb.org> 0.7.3-1plf2008.1
- add to PLF
- ensure major correctness
- do not package COPYING, it is GPLv2+
- provide gnunet-devel
- fix library groups
- split library package due to different majors
- fix plugin loading on lib64 systems
- do not use daemonize

* Fri Mar 21 2008 Nicolas Vigier <boklm@mars-attacks.org> 0.7.3-1mdv2008.1
- first version
